<template>
  <CaseBackgroundIcons>
    <!-- plane -->
    <svg
      class="case-bg-icon"
      width="230"
      height="230"
      viewBox="0 0 230 230"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M121.64 121.64C123.396 119.884 123.396 117.039 121.64 115.288C119.883 113.532 117.041 113.532 115.288 115.288C113.531 117.039 113.531 119.884 115.288 121.64C117.041 123.397 119.883 123.397 121.64 121.64Z"
      />
      <path
        d="M96.2273 89.8751L108.932 102.578C110.687 104.333 110.687 107.177 108.932 108.932C107.177 110.687 104.334 110.685 102.578 108.932L89.8751 96.2274C88.1203 94.4743 88.1203 91.6299 89.8751 89.8751C91.6299 88.1203 94.4726 88.1203 96.2273 89.8751Z"
      />
      <path
        d="M83.5246 77.1697L70.8149 64.4616C69.0602 62.7068 66.2175 62.7068 64.4627 64.4616C62.7079 66.2164 62.7079 69.0609 64.4627 70.8156L77.1706 83.5237C78.9254 85.2767 81.7681 85.2767 83.5246 83.5237C85.2776 81.7689 85.2776 78.9245 83.5246 77.1697Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M66.7332 28.6221C57.8879 19.7036 55.2455 17.0393 50.2106 13.1412C32.2471 -0.721469 14.1099 -3.96078 5.07292 5.07104C-3.96234 14.1099 -0.719543 32.2455 13.136 50.2021C13.1431 50.2126 13.1518 50.2231 13.1588 50.2319C17.0563 55.2632 19.6994 57.8845 28.5956 66.7075C33.3298 71.4026 39.8348 77.854 49.2419 87.3594L46.5747 103.749L39.052 96.228C33.7843 90.9602 25.2614 90.9602 19.9954 96.228C14.7276 101.494 14.7276 110.022 19.9954 115.29L41.2367 136.532L29.1412 210.82C28.3638 215.623 29.9519 220.538 33.3859 223.972C39.9856 230.572 50.916 229.694 56.3785 222.145L109.992 148.11L123.854 161.972C128.603 166.719 135.132 171.718 143.295 176.86L133.144 211.385C131.645 216.481 133.047 221.984 136.803 225.744C143.204 232.146 153.847 231.202 159.011 223.746L178.606 195.439C189.48 200.367 197.344 203.364 197.707 203.501C199.351 204.126 201.222 203.734 202.478 202.478C203.727 201.228 204.129 199.36 203.501 197.707L203.498 197.699C203.325 197.246 200.337 189.413 195.44 178.606L223.744 159.012C231.188 153.857 232.156 143.214 225.748 136.805C221.984 133.048 216.481 131.646 211.385 133.143L176.858 143.296C171.721 135.138 166.721 128.605 161.971 123.855L148.11 109.992L222.145 56.3771C229.682 50.9233 230.579 39.9928 223.972 33.3861C220.536 29.9502 215.625 28.3621 210.824 29.1413L136.531 41.2369L115.288 19.9936C110.021 14.7258 101.493 14.7276 96.2273 19.9936C90.9578 25.2615 90.9595 33.7844 96.2273 39.0522L103.748 46.5732L87.3588 49.2422C77.8766 39.8579 71.4302 33.3581 66.7332 28.6221ZM102.58 26.3477C104.336 24.5911 107.181 24.5911 108.935 26.3477L125.604 43.0145L114.677 44.7938L102.58 32.6982C100.825 30.9417 100.823 28.1042 102.58 26.3477ZM217.618 39.7383C220.305 42.4231 219.952 46.875 216.877 49.0983L141.676 103.558L95.1868 57.0702L212.264 38.0081C214.216 37.6905 216.219 38.338 217.618 39.7383ZM213.919 141.763C215.861 141.191 217.96 141.728 219.396 143.161C221.838 145.602 221.466 149.661 218.629 151.626L191.584 170.348C188.261 163.432 184.929 157.043 181.626 151.259L213.919 141.763ZM151.625 218.63C149.644 221.491 145.58 221.817 143.158 219.396C141.726 217.962 141.191 215.863 141.763 213.919L151.258 181.628C157.035 184.923 163.426 188.257 170.347 191.584L151.625 218.63ZM26.3476 102.58C28.1041 100.824 30.9433 100.826 32.6981 102.58L44.7936 114.676L43.0161 125.603L26.3476 108.936C24.5928 107.18 24.5911 104.337 26.3476 102.58ZM39.7382 217.62C38.3396 216.221 37.6921 214.217 38.0097 212.261L57.0699 95.1874L103.559 141.677L49.0998 216.877C46.866 219.966 42.4106 220.292 39.7382 217.62ZM151.709 171.487C142.384 165.901 135.15 160.563 130.206 155.618C87.2714 112.579 62.0478 87.4241 46.9239 72.3414C27.1738 52.6452 24.6466 50.1249 22.3916 47.3828C22.0608 46.9805 21.7358 46.5735 21.3631 46.1067L21.0588 45.7256C20.5867 38.3398 22.7819 31.8348 27.3092 27.3075C31.8365 22.7802 38.3396 20.5867 45.7272 21.0588C45.8609 21.1657 45.9893 21.2682 46.1134 21.3673L46.1199 21.3726C46.5815 21.741 46.9842 22.0625 47.3823 22.3898C50.1126 24.6347 52.6203 27.1493 72.3356 46.9185L72.3366 46.9195C87.4213 62.0455 112.579 87.2724 155.617 130.207C160.434 135.023 165.626 142.015 171.05 150.989C178.466 163.25 185.471 177.827 191.116 191.117C178.176 185.621 163.831 178.746 151.709 171.487ZM20.9552 20.9552C17.3562 24.5543 14.8066 28.9693 13.3712 33.9213C8.43152 24.1805 7.44183 15.4084 11.4251 11.4233C16.4701 6.38185 27.418 10.0739 33.9194 13.3711C28.9692 14.8065 24.5542 17.358 20.9552 20.9552Z"
      />
    </svg>

    <!-- confetti -->
    <svg
      class="case-bg-icon"
      width="216"
      height="216"
      viewBox="0 0 216 216"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M81.9251 49.1646L81.9288 49.168C82.7398 49.9047 84.0179 51.0657 84.5178 51.7686C83.9379 52.4197 82.7652 53.4852 81.9357 54.2387L81.9221 54.2511C79.2168 56.7125 77.6328 60.0804 77.4603 63.7339C77.2881 67.3874 78.5495 70.8891 81.0109 73.5939C83.4724 76.2987 86.8405 77.8835 90.4941 78.0552C90.7147 78.0657 90.9341 78.0708 91.1534 78.0708C94.567 78.0708 97.8127 76.8179 100.353 74.5059L100.355 74.5046C102.571 72.4915 105.084 70.2096 107.41 66.78C110.539 62.1676 112.059 57.2372 112.059 51.7066C112.059 39.5382 105.84 33.8898 100.352 28.9057L100.348 28.9018C99.5372 28.1656 98.2588 27.0043 97.7587 26.3016C98.3404 25.6482 99.5203 24.5763 100.354 23.8191C105.938 18.7377 106.347 10.0606 101.265 4.47634C98.8032 1.77112 95.4352 0.186714 91.7816 0.0150273C88.1351 -0.153706 84.6295 1.10294 81.9251 3.56223L81.9241 3.5631C79.7075 5.57546 77.1954 7.85616 74.8663 11.2898C71.7375 15.9017 70.2167 20.8325 70.2167 26.3636C70.2171 38.5335 76.4373 44.1819 81.9251 49.1646ZM90.8914 69.6282C89.4888 69.5624 88.1963 68.9537 87.2513 67.9156C86.3064 66.877 85.8225 65.533 85.8883 64.1304C85.9546 62.7278 86.5625 61.4349 87.5977 60.493C88.6506 59.5367 89.6651 58.6141 90.5076 57.7126L94.5172 61.7631C96.3194 63.5837 96.3455 66.5083 94.5965 68.3306C93.5698 69.2304 92.262 69.6936 90.8914 69.6282ZM103.623 51.7066C103.623 54.0748 103.235 56.2312 102.428 58.2901C101.9 57.4144 101.264 56.5859 100.514 55.8283L89.6601 44.8648C89.6565 44.8613 89.6527 44.858 89.6488 44.8546C89.6458 44.8521 89.6428 44.8495 89.6398 44.8467C88.9746 44.1726 88.2743 43.5348 87.5968 42.9193C82.6005 38.3825 78.6536 34.7986 78.6536 26.364C78.6536 23.9959 79.0413 21.8395 79.8483 19.7805C80.3765 20.6562 81.0126 21.4847 81.7627 22.2423L92.616 33.2058L92.6214 33.2109L92.6271 33.2159C92.6309 33.2192 92.6347 33.2224 92.6383 33.226C93.3031 33.8993 94.0026 34.5367 94.6796 35.1513C99.6764 39.6881 103.623 43.2724 103.623 51.7066ZM91.1327 8.43652C91.2167 8.43652 91.3011 8.43863 91.3859 8.44243C92.7885 8.50823 94.0815 9.11694 95.026 10.1551C96.977 12.2988 96.8201 15.6301 94.6729 17.5836C93.6225 18.5378 92.6101 19.4582 91.7697 20.3576L87.7597 16.3067C85.9571 14.486 85.9314 11.561 87.6812 9.73872C88.6447 8.89506 89.8571 8.43652 91.1327 8.43652Z"
      />
      <path
        d="M65.3275 153.481H65.3309C67.6607 153.481 69.5493 155.37 69.5493 157.7C69.5493 160.029 67.6607 161.918 65.3309 161.918C63.001 161.918 61.1107 160.029 61.1107 157.7C61.1107 155.37 62.9976 153.481 65.3275 153.481Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M66.0024 73.7597C65.0347 72.792 63.6586 72.3545 62.3092 72.5844C60.9605 72.8148 59.8072 73.685 59.2158 74.9193L1.37622 195.571C1.34458 195.637 1.31463 195.703 1.28679 195.771C-1.15149 201.617 -0.0837932 207.631 4.1427 211.857C6.87374 214.588 10.3498 216 14.0456 216C16.0696 216 18.1603 215.576 20.2294 214.713C20.2969 214.685 20.3636 214.655 20.4294 214.624L141.085 156.786C142.319 156.195 143.189 155.042 143.42 153.693C143.65 152.344 143.212 150.967 142.245 149.999L66.0024 73.7597ZM64.2484 83.9372L106.927 126.614C90.4135 125.935 72.2913 119.58 52.8771 107.657L64.2484 83.9372ZM16.8901 206.963C15.3288 207.595 12.4577 208.24 10.108 205.891C7.75962 203.542 8.40462 200.671 9.03571 199.11L20.4231 175.357C28.5723 182.183 36.8123 188.25 45.0324 193.474L16.8901 206.963ZM99.5726 167.329C94.5138 166.073 89.2787 164.341 83.9837 162.159C81.8293 161.27 79.3636 162.297 78.4756 164.451C77.5881 166.605 78.6144 169.071 80.7684 169.959C83.2674 170.989 85.7576 171.923 88.2292 172.767L54.0789 189.137C44.1292 183.201 34.0951 175.936 24.191 167.497L35.9939 142.876C39.6078 145.729 43.2518 148.448 46.8742 150.987C47.6111 151.504 48.4557 151.752 49.2922 151.752C50.621 151.752 51.9292 151.126 52.7501 149.955C54.0878 148.048 53.6254 145.417 51.7178 144.079C47.7288 141.283 43.7099 138.259 39.7357 135.07L49.2108 115.306C70.8621 128.469 91.2154 135.112 109.88 135.112C111.681 135.112 113.467 135.048 115.238 134.924L132.066 151.753L99.5726 167.329Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M172.084 62.5354C168.843 62.5354 165.602 61.3024 163.135 58.8351L157.169 52.8695C154.785 50.4857 153.472 47.3076 153.472 43.9211C153.472 40.5342 154.785 37.3557 157.169 34.9723L163.135 29.0063C168.07 24.0717 176.098 24.0726 181.033 29.0063L186.999 34.9719C191.933 39.9065 191.933 47.9349 186.999 52.8691L181.033 58.8351C178.565 61.302 175.325 62.5354 172.084 62.5354ZM169.101 34.9723L163.135 40.9379C162.344 41.728 161.909 42.7877 161.909 43.9207C161.909 45.0538 162.345 46.113 163.135 46.9031L169.101 52.8691C169.891 53.6592 170.95 54.0945 172.084 54.0945C173.217 54.0945 174.276 53.6592 175.066 52.8691L181.033 46.9031C181.823 46.113 182.258 45.0542 182.258 43.9207C182.258 42.7872 181.823 41.728 181.033 40.9379L175.066 34.9723C174.276 34.1822 173.218 33.7469 172.084 33.7469C170.951 33.7469 169.891 34.1822 169.101 34.9723Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M211.53 114.737C208.824 112.275 205.324 111.018 201.669 111.186C198.015 111.359 194.647 112.943 192.183 115.652L192.176 115.658C191.425 116.485 190.356 117.662 189.703 118.244C189.001 117.744 187.84 116.466 187.103 115.654L187.099 115.65C182.115 110.163 176.467 103.944 164.298 103.944C158.766 103.944 153.835 105.464 149.223 108.593C145.792 110.921 143.509 113.434 141.499 115.648C141.467 115.683 141.437 115.718 141.407 115.753L141.392 115.771C141.377 115.788 141.363 115.805 141.348 115.822C141.347 115.823 141.346 115.824 141.345 115.825C138.986 118.506 137.779 121.934 137.948 125.509C138.12 129.162 139.704 132.53 142.409 134.991C147.993 140.074 156.671 139.664 161.76 134.073C162.51 133.247 163.582 132.067 164.236 131.485C164.939 131.985 166.103 133.266 166.839 134.077C171.822 139.565 177.471 145.785 189.641 145.785C195.173 145.785 200.104 144.265 204.716 141.136C208.146 138.809 210.427 136.297 212.441 134.081C217.522 128.496 217.114 119.819 211.53 114.737ZM198.426 121.326C199.37 120.288 200.663 119.68 202.066 119.613C203.47 119.554 204.813 120.032 205.851 120.976C207.969 122.904 208.144 126.177 206.265 128.323C204.443 130.071 201.518 130.043 199.699 128.242L195.648 124.233C196.549 123.391 197.471 122.377 198.426 121.326ZM155.514 128.401C154.569 129.44 153.276 130.048 151.873 130.114C150.465 130.183 149.127 129.696 148.088 128.751C147.05 127.807 146.442 126.514 146.375 125.112C146.311 123.744 146.773 122.433 147.676 121.402C149.499 119.657 152.421 119.685 154.239 121.485L158.29 125.495C157.391 126.336 156.469 127.349 155.514 128.401ZM173.085 128.405C172.469 127.726 171.83 127.025 171.154 126.359L171.149 126.353L171.144 126.347L171.14 126.342L160.176 115.489C159.418 114.739 158.59 114.103 157.714 113.574C159.773 112.767 161.93 112.38 164.298 112.38C172.732 112.38 176.316 116.326 180.854 121.322C181.468 121.998 182.105 122.697 182.778 123.362C182.782 123.366 182.786 123.37 182.789 123.374L182.795 123.38L182.8 123.385L193.764 134.239C194.521 134.989 195.35 135.625 196.226 136.154C194.167 136.961 192.01 137.348 189.642 137.348C181.206 137.348 177.622 133.401 173.085 128.405Z"
      />
      <path
        d="M204.267 15.9573C204.267 18.2867 202.378 20.1757 200.048 20.1757C197.719 20.1757 195.828 18.2867 195.828 15.9573C195.828 13.6279 197.715 11.739 200.045 11.739H200.048C202.378 11.739 204.267 13.6279 204.267 15.9573Z"
      />
      <path
        d="M142.416 17.1307C144.745 17.1307 146.634 15.2417 146.634 12.9123C146.634 10.583 144.745 8.694 142.416 8.694H142.413C140.084 8.694 138.196 10.583 138.196 12.9123C138.196 15.2417 140.086 17.1307 142.416 17.1307Z"
      />
      <path
        d="M133.435 51.1656C133.435 53.495 131.546 55.384 129.217 55.384C126.887 55.384 124.997 53.495 124.997 51.1656C124.997 48.8363 126.884 46.9473 129.213 46.9473H129.217C131.546 46.9473 133.435 48.8363 133.435 51.1656Z"
      />
      <path
        d="M125.997 94.2262C128.326 94.2262 130.215 92.3372 130.215 90.0079C130.215 87.6785 128.326 85.7895 125.997 85.7895H125.993C123.664 85.7895 121.777 87.6785 121.777 90.0079C121.777 92.3372 123.667 94.2262 125.997 94.2262Z"
      />
      <path
        d="M198.875 73.5907V73.5873C198.875 71.2575 200.764 69.3689 203.094 69.3689C205.423 69.3689 207.312 71.2575 207.312 73.5873C207.312 75.9171 205.423 77.8073 203.094 77.8073C200.764 77.8073 198.875 75.92 198.875 73.5907Z"
      />
      <path
        d="M160.619 86.7864V86.7894C160.619 89.1188 162.508 91.0065 164.838 91.0065C167.167 91.0065 169.056 89.1162 169.056 86.7864C169.056 84.4566 167.167 82.5681 164.838 82.5681C162.508 82.5681 160.619 84.4566 160.619 86.7864Z"
      />
    </svg>

    <!-- dancer -->
    <svg
      class="case-bg-icon"
      width="200"
      height="200"
      viewBox="0 0 200 200"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M62.4027 58.1868C60.266 57.3027 58.4411 55.802 57.161 53.8762L38.6843 26.1572C37.9608 25.0863 37.4563 23.8828 37.1997 22.6162C36.943 21.3495 36.9394 20.0446 37.1889 18.7766C37.4384 17.5085 37.9362 16.3023 38.6536 15.2273C39.371 14.1523 40.2939 13.2298 41.3692 12.5128C42.4444 11.7958 43.6508 11.2984 44.919 11.0494C46.1871 10.8003 47.492 10.8044 48.7586 11.0616C50.0251 11.3187 51.2283 11.8236 52.299 12.5475C53.3697 13.2713 54.2867 14.1997 54.9973 15.2792L71.304 39.7377L78.5145 38.7073C77.0896 35.5304 76.3561 32.087 76.3624 28.6051V23.3343C76.3628 17.7533 78.3633 12.3573 82.0012 8.12493C85.639 3.89254 90.6732 1.10405 96.1907 0.265176C101.708 -0.573695 107.344 0.592617 112.075 3.55258C116.806 6.51255 120.32 11.0701 121.979 16.3988C123.218 20.4959 125.46 24.2194 128.5 27.2322L128.766 27.4901C130.215 28.89 131.364 30.5695 132.145 32.4268C133.12 34.7296 133.505 37.2394 133.264 39.7285C133.023 42.2175 132.164 44.6069 130.765 46.6799L148.361 67.2101L167.112 74.7256L176.517 75.3331C176.868 75.3559 177.213 75.434 177.54 75.5643C178.813 76.0735 179.956 76.8605 180.887 77.8677C181.817 78.875 182.511 80.0771 182.918 81.3866C183.324 82.6961 183.434 84.0798 183.238 85.4369C183.042 86.794 182.546 88.0902 181.785 89.2311C181.767 89.2585 181.748 89.2855 181.729 89.312C181.706 89.3433 181.683 89.374 181.66 89.404C179.289 92.5141 176.637 93.1649 174.456 93.1649C173.637 93.1521 172.821 93.0818 172.012 92.9545L171.979 92.9499C171.822 92.9285 171.664 92.9068 171.508 92.8866L159.274 91.3257C159.247 91.3221 159.22 91.3163 159.194 91.3106C159.174 91.3063 159.154 91.302 159.134 91.2986C159.112 91.2948 159.09 91.2914 159.068 91.2879L159.036 91.283L159.019 91.2802C158.991 91.2755 158.963 91.2703 158.935 91.2636L139.631 86.7428C138.571 86.4972 137.602 85.9584 136.833 85.1877L121.792 70.143L122.964 76.0152C123.052 76.4531 123.051 76.9041 122.96 77.3415C122.87 77.7789 122.693 78.1938 122.44 78.5614C122.186 78.929 121.861 79.2419 121.484 79.4816C121.108 79.7212 120.686 79.8827 120.246 79.9564C118.988 80.1681 117.687 80.3619 116.363 80.5431V89.0757L135.888 121.618C136.177 122.099 136.34 122.646 136.361 123.208C136.382 123.769 136.261 124.327 136.008 124.829C135.756 125.331 135.381 125.761 134.919 126.079C134.456 126.397 133.92 126.594 133.361 126.649C130.199 126.961 127.039 127.149 123.883 127.213L116.612 146.602L132.772 185.384C133.11 186.195 133.114 187.106 132.784 187.92C132.453 188.734 131.815 189.384 131.008 189.73L107.675 199.73C107.251 199.912 106.794 200.004 106.333 200C105.872 199.996 105.417 199.896 104.996 199.708C104.575 199.519 104.199 199.245 103.889 198.903C103.58 198.561 103.345 198.158 103.199 197.721L102.503 195.633C101.512 192.689 101.212 189.556 101.624 186.477C102.037 183.398 103.153 180.455 104.885 177.875L105.949 176.277L94.9333 148.737C94.2374 147.011 93.8912 145.163 93.9145 143.302C93.9378 141.441 94.3303 139.602 95.0691 137.894L100.436 125.366C97.2989 124.803 94.1898 124.114 91.1087 123.3L83.4386 130.97L89.8103 153.275C89.8224 153.311 89.8339 153.348 89.8449 153.385L89.8583 153.43L96.2333 175.751C96.456 176.531 96.3868 177.365 96.0385 178.098C95.6901 178.83 95.0867 179.411 94.3412 179.73L71.0078 189.73C70.5837 189.912 70.1266 190.004 69.6653 190C69.204 189.996 68.7486 189.896 68.3278 189.707C67.9071 189.518 67.5302 189.243 67.221 188.901C66.9118 188.558 66.677 188.156 66.5315 187.718C65.335 184.126 65.1622 180.272 66.0324 176.587C66.9026 172.902 68.7815 169.532 71.4586 166.855L72.5857 165.73L61.7627 130.548C61.0007 128.087 60.9259 125.465 61.5465 122.966C62.167 120.466 63.4593 118.183 65.2836 116.365L67.4011 114.247L64.8715 112.982C64.3991 112.746 63.9896 112.401 63.6767 111.975C63.3639 111.55 63.1566 111.056 63.072 110.535C62.9874 110.013 63.0279 109.479 63.1901 108.977C63.3524 108.474 63.6318 108.017 64.0052 107.644L83.0282 88.6211V80.9289C81.7332 80.7819 80.4374 80.6177 79.1532 80.4339L75.8907 79.9669C75.0157 79.8417 74.2262 79.3741 73.6959 78.667C73.1656 77.9599 72.9378 77.071 73.0628 76.196L75.7294 57.5262L69.1577 58.84C66.8912 59.2983 64.5395 59.0709 62.4027 58.1868ZM89.0178 174.761L84.4049 158.61L78.0253 160.739L79.5482 165.69C79.7263 166.269 79.7432 166.885 79.5972 167.473C79.4512 168.061 79.1477 168.598 78.7195 169.026L76.1736 171.572C74.895 172.844 73.8814 174.357 73.1915 176.024C72.5015 177.69 72.1489 179.477 72.154 181.281C72.1543 181.514 72.1602 181.747 72.1719 181.98L89.0178 174.761ZM76.4686 129.165C76.6177 128.589 76.9179 128.064 77.3382 127.644L83.8503 121.134C80.4522 120 77.105 118.713 73.8086 117.271L69.9998 121.08C69.034 122.042 68.3497 123.25 68.021 124.572C67.6922 125.895 67.7316 127.283 68.1348 128.585L76.0649 154.364L82.5682 152.195L76.4903 130.917C76.327 130.345 76.3195 129.74 76.4686 129.165ZM125.352 184.904L118.463 168.372L110.969 170.871L112.793 175.43C112.993 175.932 113.069 176.475 113.013 177.013C112.958 177.55 112.772 178.067 112.472 178.516L110.435 181.574C109.403 183.11 108.695 184.839 108.354 186.657C108.012 188.475 108.045 190.343 108.449 192.148L125.352 184.904ZM109.954 147.95C109.628 147.167 109.612 146.29 109.91 145.497L116.789 127.151C113.595 127.025 110.416 126.771 107.253 126.39L101.198 140.523C100.419 142.352 100.392 144.415 101.125 146.264L108.489 164.668L115.893 162.2L109.954 147.95ZM71.9928 109.085C89.1918 117.528 108.265 121.43 127.398 120.422L111.142 93.3349H87.7428L71.9928 109.085ZM89.6958 81.514V86.6682H109.696V81.2873C105.85 81.6181 101.983 81.7848 98.15 81.7848C95.3366 81.7848 92.5062 81.6902 89.6958 81.514ZM175.45 81.946L168.071 81.4694L165.456 85.3932L172.357 86.274C172.531 86.2962 172.7 86.3194 172.87 86.3427L172.925 86.3503C174.884 86.6223 175.331 86.6819 176.289 85.4557C176.464 85.1701 176.582 84.8528 176.635 84.5219C176.687 84.191 176.674 83.8529 176.597 83.527C176.519 83.2011 176.377 82.8937 176.18 82.6225C175.984 82.3512 175.736 82.1214 175.45 81.946ZM87.0585 12.473C84.4601 15.4952 83.0305 19.3485 83.0291 23.3343V28.6051C83.0204 31.8054 83.8696 34.9495 85.4882 37.7102L88.5299 37.2756C87.1138 35.1139 86.3607 32.5853 86.3632 30.001V20.0009C86.3632 19.1168 86.7144 18.269 87.3396 17.6438C87.9647 17.0187 88.8125 16.6675 89.6966 16.6675H109.697C110.581 16.6675 111.429 17.0187 112.054 17.6438C112.679 18.269 113.03 19.1168 113.03 20.0009V30.001C113.033 32.8256 112.133 35.5773 110.462 37.8548L125.229 42.7761L125.244 42.7812L125.254 42.785L125.277 42.7938C125.292 42.7999 125.309 42.8062 125.325 42.8115C126.196 41.4636 126.662 39.8937 126.667 38.2886C126.667 37.1683 126.442 36.0594 126.006 35.0275C125.57 33.9955 124.931 33.0616 124.128 32.281L123.858 32.0193C120.018 28.2298 117.184 23.5419 115.613 18.3805C114.427 14.5752 111.916 11.3209 108.537 9.20747C105.158 7.09402 101.133 6.26135 97.1928 6.86044C93.2524 7.45952 89.657 9.45069 87.0585 12.473ZM94.9841 34.7128C96.2338 35.9626 97.9283 36.6656 99.6958 36.6677C101.463 36.6655 103.158 35.9624 104.408 34.7126C105.658 33.4628 106.361 31.7684 106.363 30.001V23.3343H93.0291V30.001C93.0312 31.7685 93.7343 33.463 94.9841 34.7128ZM104.643 47.5582C105.651 46.4388 106.249 45.011 106.341 43.5078L105.306 43.1649C104.908 43.0292 104.539 42.8189 104.219 42.5453C101.297 43.5991 98.0992 43.5991 95.1775 42.5453C94.6998 42.9507 94.1173 43.2128 93.497 43.3011L93.0387 43.3665C93.0669 44.1528 93.2363 44.9277 93.5387 45.654C94.1158 47.0451 95.1472 48.1997 96.4647 48.9293C97.7822 49.6589 99.3081 49.9205 100.793 49.6715C102.279 49.4225 103.636 48.6776 104.643 47.5582ZM66.9219 45.1832L56.6548 29.7835L51.6268 33.5548L62.709 50.1783C63.2582 51.0035 64.0409 51.6463 64.9572 52.0248C65.8734 52.4033 66.8816 52.5002 67.8531 52.3033L79.0444 50.0658C79.5672 49.9612 80.1074 49.9836 80.6197 50.131C81.132 50.2785 81.6015 50.5466 81.9888 50.913C82.376 51.2793 82.6697 51.7332 82.8453 52.2366C83.0209 52.7399 83.0732 53.278 82.9978 53.8058L80.1357 73.8401C82.2995 74.1493 84.4961 74.4056 86.6657 74.6022C90.4566 74.9443 94.3216 75.1181 98.1525 75.1181C102.997 75.1164 107.839 74.8411 112.653 74.2935C113.696 74.1726 114.728 74.0414 115.743 73.9001L113.095 60.655C112.954 59.9536 113.044 59.2257 113.349 58.5789C113.654 57.9321 114.16 57.4007 114.79 57.0631C115.421 56.7256 116.143 56.5998 116.851 56.7045C117.559 56.8091 118.214 57.1385 118.72 57.6442L141.38 80.3052L158.205 84.2457L161.312 79.5848L145.12 73.0955C144.621 72.8957 144.178 72.5784 143.829 72.1705L125.333 50.5912C124.748 49.9006 123.984 49.3855 123.125 49.1028L112.776 45.6532C112.183 48.6876 110.553 51.4216 108.167 53.3874C105.78 55.3532 102.785 56.4289 99.6929 56.4304C96.3672 56.4306 93.1616 55.1877 90.7053 52.9457C88.2489 50.7038 86.7193 47.6246 86.4166 44.3128L70.1665 46.6341C69.5439 46.7229 68.9088 46.6339 68.3347 46.3771C67.7606 46.1204 67.2708 45.7065 66.9219 45.1832ZM44.7596 18.362C44.3836 18.6951 44.0942 19.1145 43.9164 19.5842C43.7314 20.053 43.6635 20.5598 43.7184 21.0607C43.7732 21.5616 43.9493 22.0416 44.2314 22.4592L47.926 27.9993L52.9535 24.2284L49.4535 18.9784C49.1668 18.5476 48.7781 18.1944 48.322 17.9502C47.8658 17.706 47.3563 17.5784 46.8389 17.5788C46.5813 17.579 46.3247 17.6105 46.0747 17.6725C45.5869 17.7924 45.1356 18.029 44.7596 18.362Z"
      />
      <path d="M180 6.66673H173.334V13.3335H180V6.66673Z" fill="#F3DCFA" />
      <path d="M29.9997 143.335H36.6664V150.001H29.9997V143.335Z" />
      <path d="M29.9997 156.668H23.333V150.001H29.9997V156.668Z" />
      <path d="M36.6664 156.668V163.335H29.9997V156.668H36.6664Z" />
      <path d="M36.6664 156.668H43.3331V150.001H36.6664V156.668Z" />
      <path d="M163.334 16.6668H170V23.3335H163.334V16.6668Z" fill="#F3DCFA" />
      <path d="M190 16.6668H183.334V23.3335H190V16.6668Z" fill="#F3DCFA" />
      <path d="M173.334 26.6669H180V33.3336H173.334V26.6669Z" fill="#F3DCFA" />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M2.27867 79.8291C5.0374 80.7404 7.588 82.1898 9.78284 84.0934C11.9777 85.997 13.7732 88.317 15.0654 90.9192L17.0183 94.8246C17.2952 95.3782 17.7208 95.8438 18.2473 96.1692C18.7739 96.4946 19.3806 96.6669 19.9996 96.6669C20.6186 96.6669 21.2253 96.4946 21.7519 96.1692C22.2784 95.8438 22.704 95.3782 22.9809 94.8246L24.9338 90.9192C26.226 88.317 28.0215 85.997 30.2163 84.0934C32.4112 82.1898 34.9618 80.7404 37.7205 79.8291C38.3841 79.6077 38.9612 79.1833 39.3702 78.6158C39.7791 78.0482 39.9992 77.3665 39.9992 76.667C39.9992 75.9674 39.7791 75.2857 39.3702 74.7182C38.9612 74.1506 38.3841 73.7262 37.7205 73.5048C34.962 72.5938 32.4115 71.1447 30.2166 69.2415C28.0218 67.3382 26.2262 65.0186 24.9338 62.4168L22.9809 58.5114C22.704 57.9578 22.2784 57.4922 21.7519 57.1668C21.2253 56.8414 20.6186 56.6691 19.9996 56.6691C19.3806 56.6691 18.7739 56.8414 18.2473 57.1668C17.7208 57.4922 17.2952 57.9578 17.0183 58.5114L15.0654 62.4168C13.773 65.0186 11.9774 67.3382 9.78253 69.2415C7.5877 71.1447 5.03722 72.5938 2.27867 73.5048C1.6151 73.7262 1.03797 74.1506 0.629017 74.7182C0.22006 75.2857 0 75.9674 0 76.667C0 77.3665 0.22006 78.0482 0.629017 78.6158C1.03797 79.1833 1.6151 79.6077 2.27867 79.8291ZM19.9996 67.2789C22.2432 71.0621 25.3313 74.2751 29.0226 76.667C25.3312 79.0587 22.2431 82.2717 19.9996 86.055C17.756 82.2718 14.6679 79.0588 10.9766 76.667C14.668 74.2753 17.7561 71.0622 19.9996 67.2789Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M190.217 132.575C192.412 134.479 194.963 135.928 197.721 136.839V136.841C198.385 137.062 198.962 137.487 199.371 138.054C199.78 138.622 200 139.303 200 140.003C200 140.702 199.78 141.384 199.371 141.952C198.962 142.519 198.385 142.944 197.721 143.165C194.963 144.076 192.412 145.526 190.217 147.429C188.022 149.333 186.227 151.653 184.935 154.255L182.982 158.161C182.705 158.714 182.279 159.18 181.753 159.505C181.226 159.831 180.619 160.003 180 160.003C179.381 160.003 178.775 159.831 178.248 159.505C177.722 159.18 177.296 158.714 177.019 158.161L175.066 154.255C173.774 151.653 171.978 149.333 169.784 147.429C167.589 145.526 165.038 144.076 162.279 143.165C161.616 142.944 161.039 142.519 160.63 141.952C160.221 141.384 160.001 140.702 160.001 140.003C160.001 139.303 160.221 138.622 160.63 138.054C161.039 137.487 161.616 137.062 162.279 136.841C165.038 135.93 167.589 134.48 169.784 132.577C171.978 130.673 173.774 128.353 175.066 125.751L177.019 121.845C177.296 121.292 177.722 120.826 178.248 120.501C178.775 120.175 179.381 120.003 180 120.003C180.619 120.003 181.226 120.175 181.753 120.501C182.279 120.826 182.705 121.292 182.982 121.845L184.935 125.751C186.227 128.352 188.023 130.672 190.217 132.575ZM170.977 140.001C174.669 142.393 177.757 145.606 180 149.389C182.244 145.606 185.332 142.393 189.023 140.001C185.332 137.609 182.244 134.396 180 130.613C177.757 134.396 174.669 137.609 170.977 140.001Z"
      />
      <path
        d="M51.4906 107.02C50.6999 106.624 49.7846 106.559 48.9459 106.839C48.1072 107.118 47.4139 107.719 47.0185 108.51C45.7585 111.045 45.1029 113.837 45.1029 116.668C45.1029 119.498 45.7585 122.29 47.0185 124.825C47.2122 125.22 47.4822 125.573 47.8128 125.863C48.1435 126.153 48.5283 126.375 48.9451 126.516C49.362 126.657 49.8025 126.713 50.2414 126.683C50.6803 126.653 51.1088 126.536 51.5023 126.339C51.8957 126.142 52.2464 125.869 52.534 125.537C52.8215 125.204 53.0404 124.817 53.1778 124.399C53.3153 123.981 53.3687 123.54 53.3349 123.102C53.3011 122.663 53.1809 122.235 52.981 121.843C52.1819 120.235 51.766 118.464 51.766 116.668C51.766 114.872 52.1819 113.1 52.981 111.492C53.3764 110.701 53.4415 109.786 53.162 108.947C52.8825 108.108 52.2813 107.415 51.4906 107.02Z"
      />
      <path
        d="M37.1862 106.839C38.0249 106.559 38.9403 106.624 39.731 107.02C40.5217 107.415 41.123 108.108 41.4026 108.947C41.6822 109.786 41.6171 110.701 41.2218 111.492C40.4225 113.1 40.0065 114.872 40.0065 116.668C40.0065 118.464 40.4225 120.235 41.2218 121.843C41.6172 122.634 41.6823 123.55 41.4027 124.388C41.1232 125.227 40.5219 125.92 39.7312 126.316C38.9404 126.711 38.025 126.776 37.1863 126.497C36.3476 126.217 35.6542 125.616 35.2589 124.825C33.9989 122.29 33.3432 119.498 33.3432 116.668C33.3432 113.837 33.9989 111.045 35.2589 108.51C35.6543 107.719 36.3476 107.118 37.1862 106.839Z"
      />
      <path
        d="M158.358 61.27C158.812 61.2708 159.262 61.1783 159.679 60.9983C160.096 60.8184 160.472 60.5548 160.784 60.2238C162.721 58.1596 164.153 55.6749 164.969 52.9643C165.785 50.2538 165.962 47.3911 165.486 44.6007C165.335 43.7296 164.844 42.954 164.122 42.4446C163.399 41.9352 162.504 41.7337 161.633 41.8844C160.762 42.0352 159.986 42.5258 159.477 43.2483C158.967 43.9709 158.766 44.8662 158.917 45.7374C159.218 47.5078 159.106 49.3241 158.589 51.0439C158.071 52.7638 157.162 54.3403 155.933 55.65C155.487 56.1235 155.189 56.7175 155.076 57.3585C154.963 57.9995 155.04 58.6595 155.298 59.2571C155.556 59.8547 155.983 60.3638 156.527 60.7215C157.07 61.0792 157.707 61.2699 158.358 61.27Z"
      />
      <path
        d="M166.288 61.4236C166.262 60.5399 166.588 59.6821 167.194 59.0388C168.423 57.729 169.332 56.1523 169.849 54.4325C170.367 52.7126 170.479 50.8963 170.177 49.1258C170.098 48.6924 170.105 48.2474 170.198 47.8168C170.292 47.3861 170.469 46.9782 170.722 46.6167C170.974 46.2552 171.295 45.9473 171.667 45.7107C172.038 45.4742 172.453 45.3137 172.888 45.2386C173.322 45.1635 173.767 45.1752 174.196 45.2731C174.626 45.371 175.032 45.5532 175.391 45.809C175.75 46.0648 176.054 46.3893 176.287 46.7635C176.52 47.1378 176.676 47.5545 176.746 47.9895C177.222 50.7798 177.045 53.6423 176.23 56.3528C175.414 59.0633 173.982 61.548 172.045 63.6122C171.438 64.2554 170.601 64.6314 169.718 64.6575C168.834 64.6835 167.976 64.3574 167.333 63.7509C166.69 63.1445 166.314 62.3073 166.288 61.4236Z"
      />
    </svg>

    <!-- building -->
    <svg
      class="case-bg-icon"
      width="210"
      height="220"
      viewBox="0 0 210 220"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M93.6252 29.2643C93.6252 22.9822 98.7279 17.8715 105 17.8715C111.272 17.8715 116.375 22.9818 116.375 29.2638C116.375 35.5459 111.272 40.6566 105 40.6566C98.7279 40.6566 93.6252 35.5463 93.6252 29.2643ZM100.06 29.2638C100.06 31.9919 102.276 34.2113 105 34.2113C107.724 34.2113 109.94 31.9924 109.94 29.2643C109.94 26.5362 107.724 24.3168 105 24.3168C102.276 24.3168 100.06 26.5357 100.06 29.2638Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M135.939 28.5326H202.995C206.857 28.5326 210 31.6805 210 35.5485V44.6897C210 48.373 207.149 51.3963 203.542 51.6778V91.286C203.542 93.0662 202.102 94.5087 200.325 94.5087C198.547 94.5087 197.107 93.0662 197.107 91.286V51.7057H12.893V197.073H87.0228V66.4053C87.0228 64.6251 88.4634 63.1827 90.2404 63.1827H167.815C169.592 63.1827 171.032 64.6251 171.032 66.4053V197.073H197.108V106.329C197.108 104.549 198.548 103.107 200.326 103.107C202.103 103.107 203.543 104.549 203.543 106.329V212.555C203.543 216.66 200.209 220 196.11 220H172.03C167.931 220 164.597 216.66 164.597 212.555V188.685C162.691 189.797 160.478 190.437 158.118 190.437C154.257 190.437 150.789 188.73 148.421 186.032C146.052 188.73 142.585 190.437 138.724 190.437C134.864 190.437 131.396 188.73 129.028 186.032C126.659 188.73 123.191 190.437 119.331 190.437C115.47 190.437 112.003 188.73 109.634 186.032C107.266 188.73 103.797 190.437 99.9373 190.437C97.5764 190.437 95.364 189.797 93.4579 188.685V212.555C93.4579 216.66 90.1232 220 86.0249 220H13.8909C9.79214 220 6.45788 216.66 6.45788 212.555V51.6778C2.85077 51.3963 0 48.373 0 44.6893V35.5485C0 31.6801 3.14249 28.5326 7.00486 28.5326H31.6969C33.4739 28.5326 34.9145 29.9751 34.9145 31.7553C34.9145 33.5355 33.4739 34.9779 31.6969 34.9779H7.00486C6.69083 34.9779 6.43514 35.234 6.43514 35.5485V44.6893C6.43514 45.0038 6.69083 45.2599 7.00486 45.2599L74.9505 45.2595C74.3795 43.9498 74.0607 42.5052 74.0607 40.9867V34.9779H46.9164C45.1395 34.9779 43.6989 33.5355 43.6989 31.7553C43.6989 29.9751 45.1395 28.5326 46.9164 28.5326H74.0607V20.9104C74.0607 15.0004 78.8618 10.1922 84.7624 10.1922H87.9799L88.9164 6.39634C89.8457 2.63012 93.1997 0 97.0728 0H112.928C116.801 0 120.154 2.63012 121.084 6.39634L122.021 10.1922H125.238C131.139 10.1922 135.939 15.0004 135.939 20.9104V28.5326ZM80.4959 20.9104V40.9871C80.4959 43.3405 82.4054 45.2552 84.7542 45.2599H125.246C127.594 45.2556 129.504 43.3405 129.504 40.9871V20.9104C129.504 18.5544 127.59 16.6375 125.238 16.6375H119.501C118.022 16.6375 116.733 15.6269 116.378 14.1883L114.836 7.94279C114.619 7.0615 113.834 6.44576 112.928 6.44576H97.0728C96.1658 6.44576 95.3812 7.06107 95.1637 7.94236L93.6227 14.1879C93.2679 15.6265 91.9787 16.6375 90.4991 16.6375H84.7624C82.4097 16.6375 80.4959 18.5544 80.4959 20.9104ZM93.4575 177.503C93.4575 181.081 96.364 183.993 99.9368 183.993C103.51 183.993 106.416 181.081 106.416 177.503V82.4533H93.4575V177.503ZM164.596 69.6284H93.4579V76.008H164.596V69.6284ZM112.851 177.503C112.851 181.081 115.758 183.993 119.33 183.993C122.903 183.993 125.809 181.081 125.809 177.503V82.4533H112.851V177.503ZM132.244 177.503C132.244 181.081 135.151 183.993 138.723 183.993C142.296 183.993 145.202 181.081 145.202 177.503V82.4533H132.244V177.503ZM151.637 177.503C151.637 181.081 154.544 183.993 158.117 183.993C161.689 183.993 164.596 181.081 164.595 177.503V82.4533H151.637V177.503ZM197.107 212.556V203.518H171.031V212.556C171.031 213.107 171.478 213.555 172.028 213.555H196.109C196.659 213.555 197.107 213.107 197.107 212.556ZM87.0228 212.556V203.518H12.893V212.556C12.893 213.107 13.3409 213.555 13.8909 213.555H86.0249C86.5753 213.555 87.0228 213.107 87.0228 212.556ZM202.995 45.2604C203.309 45.2604 203.565 45.0043 203.565 44.6897H203.565V35.5485C203.565 35.234 203.31 34.9779 202.996 34.9779H135.94V40.9871C135.94 42.5052 135.621 43.9498 135.05 45.2599L202.995 45.2604Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M68.774 76.0078C73.9994 76.0078 78.2504 80.2656 78.2504 85.4996V143.717C78.2504 148.951 73.9994 153.209 68.774 153.209H31.1418C25.9164 153.209 21.665 148.951 21.665 143.717V122.312C21.665 120.532 23.1056 119.089 24.8825 119.089C26.6595 119.089 28.1001 120.532 28.1001 122.312V126.238H71.8153V85.4996C71.8153 83.82 70.451 82.4532 68.774 82.4532H31.1418C29.4648 82.4532 28.1001 83.82 28.1001 85.4996V107.014C28.1001 108.794 26.6595 110.236 24.8825 110.236C23.1056 110.236 21.665 108.794 21.665 107.014V85.4996C21.665 80.2656 25.9164 76.0078 31.1418 76.0078H68.774ZM58.9137 132.683H53.1757V146.764H58.9137V132.683ZM41.0026 146.764H46.7406V132.683H41.0026V146.764ZM28.1001 132.683V143.717C28.1001 145.397 29.4648 146.764 31.1418 146.764H34.567V132.683H28.1001ZM68.774 146.764C70.451 146.764 71.8153 145.397 71.8153 143.717H71.8157V132.683H65.3488V146.764H68.774Z"
      />
      <path
        d="M58.9626 160.48C57.1856 160.48 55.745 161.923 55.745 163.703C55.745 165.483 57.1856 166.926 58.9626 166.926H75.0328C76.8098 166.926 78.2504 165.483 78.2504 163.703C78.2504 161.923 76.8098 160.48 75.0328 160.48H58.9626Z"
      />
    </svg>

    <!-- cocktail -->
    <svg
      class="case-bg-icon"
      width="209"
      height="236"
      viewBox="0 0 209 236"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M129.288 83.3989C128.125 86.1789 124.933 87.489 122.158 86.3246C119.382 85.1602 118.075 81.9627 119.237 79.1827C120.4 76.4027 123.592 75.0935 126.367 76.2579C129.143 77.4223 130.45 80.6198 129.288 83.3989Z"
      />
      <path
        d="M89.2005 80.3862C91.9758 81.5506 95.168 80.2406 96.3305 77.4605C97.493 74.6814 96.1856 71.484 93.4102 70.3196C90.6349 69.1552 87.4427 70.4643 86.2803 73.2443C85.1178 76.0244 86.4253 79.2218 89.2005 80.3862Z"
      />
      <path
        d="M107.468 97.91C106.306 100.69 103.113 102 100.338 100.836C97.5627 99.6713 96.2553 96.4739 97.4177 93.6938C98.5802 90.9138 101.772 89.6047 104.548 90.7691C107.323 91.9335 108.63 95.1309 107.468 97.91Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M203.312 63.93C203.885 64.6618 204.262 65.5278 204.408 66.4462C204.553 67.3655 204.461 68.3069 204.141 69.18C203.821 70.054 203.283 70.8312 202.579 71.4378C189.359 82.5711 175.394 92.7843 160.782 102.008C132.468 119.7 110.31 126.926 94.7702 123.566L69.1685 184.787C71.1517 195.346 90.5816 215.689 102.845 226.435C103.82 227.288 104.459 228.46 104.649 229.742C104.838 231.025 104.567 232.332 103.882 233.432C103.197 234.531 102.144 235.351 100.911 235.743C99.678 236.136 98.3457 236.077 97.1526 235.576L3.35031 196.221C2.15537 195.722 1.17702 194.812 0.59066 193.656C0.00430241 192.5 -0.151709 191.173 0.150504 189.911C0.452717 188.65 1.19348 187.538 2.23994 186.774C3.28647 186.011 4.5703 185.646 5.86134 185.744C22.1101 186.961 50.2144 186.56 59.1183 180.57L84.7208 119.348C71.428 110.615 61.026 89.7263 53.7546 57.1025C50.0672 40.2013 47.5387 23.0683 46.1868 5.82156C46.1247 4.89341 46.3005 3.96526 46.6974 3.12415C47.0943 2.28304 47.6993 1.55829 48.4548 1.01738C49.2103 0.47648 50.0912 0.138082 51.0141 0.034165C51.9369 -0.0697523 52.8709 0.0643632 53.7274 0.423189L133.341 33.825C136.09 29.7856 139.871 26.5597 144.291 24.4849C148.71 22.4092 153.604 21.5619 158.462 22.03C163.321 22.4981 167.964 24.2647 171.907 27.145C175.851 30.0254 178.949 33.9139 180.879 38.4045C181.485 39.8221 181.973 41.2876 182.336 42.7859C190.817 41.7743 197.702 37.5075 198.527 35.5357C199.085 34.2007 200.15 33.1429 201.487 32.594C202.824 32.046 204.324 32.0513 205.657 32.6109C206.989 33.1696 208.046 34.2363 208.594 35.5757C209.141 36.915 209.135 38.4178 208.577 39.7528C205.686 46.6664 194.337 52.5595 182.724 53.7123L182.692 53.9015L182.643 54.1893L182.588 54.4868L201.131 62.2664C201.988 62.6252 202.738 63.1981 203.312 63.93ZM169.638 72.7185L178.635 76.4933C182.512 73.5969 185.882 70.9688 188.567 68.8274L178.374 64.5517C176.107 67.8922 173.122 70.6828 169.638 72.7185ZM155.633 32.8116C153.486 32.8409 151.367 33.2966 149.397 34.1519C146.939 35.2106 144.778 36.8582 143.104 38.949C141.43 41.0406 140.294 43.5107 139.796 46.1441C139.298 48.7776 139.453 51.4937 140.248 54.0525C141.043 56.6122 142.453 58.9366 144.354 60.8231C146.256 62.7087 148.59 64.0978 151.153 64.8697C153.716 65.6406 156.428 65.7694 159.052 65.2454C161.677 64.7205 164.132 63.5587 166.203 61.8623C168.275 60.165 169.898 57.9845 170.932 55.5127C174.536 47.3645 170.234 37.0989 161.904 33.9823C159.911 33.1802 157.78 32.7832 155.633 32.8116ZM129.437 55.8528C128.437 51.9386 128.33 47.8494 129.124 43.8881L57.8716 13.9946C58.2316 17.4141 58.7269 21.6641 59.3851 26.4629L129.437 55.8528ZM33.1801 196.903L75.7425 214.76C67.9416 205.965 62.7803 198.507 60.1569 192.212C53.8373 194.755 44.9097 196.303 33.1801 196.903ZM64.4157 54.8439C71.5228 86.6674 81.9426 106.923 93.7516 111.878C105.561 116.832 127.282 110.061 154.911 92.811C159.577 89.8978 164.073 86.9001 168.269 83.9771L61.3316 39.1124C62.1954 44.1555 63.2172 49.4704 64.4157 54.8439Z"
      />
    </svg>

    <!-- ticket -->
    <svg
      class="case-bg-icon"
      width="230"
      height="198"
      viewBox="0 0 230 198"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M141.199 40.5155L135.827 45.8911L141.199 51.2667L146.569 45.8911L141.199 40.5155Z"
      />
      <path
        d="M146.567 56.6386L151.938 51.263L157.308 56.6386L151.938 62.0142L146.567 56.6386Z"
      />
      <path
        d="M157.312 67.3934L162.683 62.0197L168.051 67.3972L162.68 72.7709L157.312 67.3934Z"
      />
      <path
        d="M178.793 88.8976L184.164 83.522L189.534 88.8976L184.164 94.2733L178.793 88.8976Z"
      />
      <path
        d="M173.421 72.7672L168.051 78.1446L173.423 83.5202L178.793 78.1428L173.421 72.7672Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M123.1 138.969C121.672 138.967 120.367 138.165 119.72 136.894L112.861 123.429L97.9534 125.788C96.3199 126.059 94.6974 125.239 93.9483 123.761C93.1974 122.282 93.4904 120.489 94.6715 119.327L105.346 108.64L98.5115 95.1753C97.7643 93.707 98.0461 91.9251 99.2106 90.7612C100.373 89.5955 102.153 89.3134 103.618 90.0614L117.074 96.9053L127.747 86.2153C128.907 85.0311 130.7 84.7378 132.176 85.4896C133.654 86.2413 134.474 87.8637 134.203 89.499L131.789 104.462L145.243 111.328C146.706 112.078 147.522 113.686 147.262 115.312C147.002 116.938 145.727 118.211 144.102 118.467L129.191 120.832L126.851 135.76C126.593 137.386 125.319 138.661 123.695 138.919C123.499 138.952 123.298 138.969 123.1 138.969ZM114.995 115.425C116.423 115.425 117.73 116.229 118.379 117.502L121.177 123.002L122.143 116.919C122.401 115.293 123.677 114.018 125.303 113.76L131.377 112.791L125.883 109.99C124.416 109.242 123.599 107.636 123.855 106.01L124.819 99.9087L120.473 104.273C119.308 105.435 117.528 105.717 116.063 104.967L110.564 102.166L113.367 107.668C114.113 109.134 113.831 110.916 112.668 112.08L108.305 116.451L114.4 115.486C114.597 115.449 114.795 115.429 114.995 115.425Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M207.865 38.2845L226.662 57.1028V57.0991C231.113 61.5522 231.113 68.7747 226.662 73.2297L110.744 189.282C106.294 193.735 99.0826 193.735 94.6344 189.282L86.5761 181.219L73.1517 194.662C68.7035 199.113 61.4925 199.113 57.0443 194.662L38.2465 175.84L40.9314 173.152C45.3814 168.699 45.3814 161.476 40.9314 157.023C36.4238 152.713 29.3278 152.713 24.8184 157.023L22.1354 159.711L3.33755 140.893C-1.11252 136.439 -1.11252 129.217 3.33755 124.762L119.256 8.7168C123.706 4.26188 130.919 4.26188 135.369 8.7168L143.424 16.7802L156.846 3.34119C161.296 -1.11373 168.511 -1.11373 172.959 3.34119L191.757 22.1558L189.072 24.8436C186.154 27.7152 185.001 31.9344 186.048 35.8937C187.096 39.8549 190.185 42.9473 194.14 43.9979C198.097 45.0467 202.309 43.8921 205.18 40.9723L207.865 38.2845ZM65.0934 190.394C66.1002 190.394 67.0663 189.993 67.7783 189.279L81.2026 175.84L75.8292 170.464L78.5178 167.776C82.9678 163.323 82.9678 156.101 78.5178 151.647C74.0696 147.193 66.8549 147.193 62.4067 151.647L59.7218 154.335L40.9277 135.517C36.4813 131.064 36.4813 123.845 40.9277 119.392L138.054 22.1558L130 14.0924C129.287 13.3778 128.321 12.9768 127.313 12.9768C126.304 12.9768 125.338 13.3778 124.626 14.0924L8.70359 130.141C7.22024 131.626 7.22024 134.032 8.70359 135.517L22.3968 149.221C29.9249 144.223 39.9282 145.225 46.3178 151.62C52.7055 158.014 53.7086 168.029 48.7171 175.567L62.4067 189.279C63.1187 189.993 64.0847 190.394 65.0934 190.394ZM105.37 183.903L221.293 67.8578L221.296 67.8392C222.778 66.3542 222.778 63.9467 221.296 62.4636L207.596 48.748C200.068 53.7375 190.07 52.7296 183.686 46.3386C177.302 39.9458 176.297 29.9389 181.283 22.4027L167.59 8.7168C166.878 8.00401 165.912 7.60121 164.903 7.60121C163.896 7.60121 162.928 8.00401 162.216 8.7168L46.2974 124.766C44.8141 126.251 44.8141 128.658 46.2974 130.141L59.9944 143.853C67.5242 138.888 77.5017 139.896 83.8875 146.268C90.2715 152.654 91.2839 162.657 86.3072 170.195L100 183.903C101.482 185.388 103.887 185.388 105.37 183.903Z"
      />
    </svg>

    <!-- mask -->
    <svg
      class="case-bg-icon"
      width="200"
      height="254"
      viewBox="0 0 200 254"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M166.178 98.3886C166.283 96.642 167.802 95.32 169.564 95.4312C173.298 95.6767 176.968 95.3565 180.721 94.4592C184.535 93.5552 188.455 92.0591 192.654 89.9592C193.706 89.4665 194.706 89.2078 195.876 89.3537C196.881 89.4732 197.785 89.9094 198.492 90.5662C199.209 91.2297 199.698 92.0956 199.903 93.0891C200.165 94.3928 199.871 95.6003 199.325 96.7598C195.876 103.919 188.754 117.18 178.616 128.064C172 135.182 164.086 141.287 155.056 144.122C155.346 144.321 155.645 144.512 155.953 144.696C156.175 144.828 156.401 144.958 156.631 145.084C157.517 145.552 158.5 145.951 159.599 146.195C162.44 146.801 164.214 147.975 164.911 149.877C165.636 151.851 164.993 153.9 162.959 156.162C157.467 162.298 147.376 168.456 139.615 170.953C133.735 172.85 127.098 173.743 119.909 172.676L100.966 205.387C100.078 206.918 98.1319 207.439 96.6052 206.56C95.0683 205.676 94.5468 203.735 95.4342 202.202L113.394 171.19C111.524 170.614 109.625 169.898 107.697 169.039L64.5947 243.467L69.8019 246.464L88.1959 214.702C89.0771 213.18 91.0295 212.649 92.5665 213.534C94.0932 214.412 94.6087 216.363 93.7273 217.885L73.7335 252.411C72.8523 253.932 70.9061 254.451 69.3794 253.573L58.6309 247.387C57.1046 246.507 56.5828 244.567 57.464 243.046L102.039 166.075C90.2116 159.03 84.0203 152.797 81.4388 139.345C80.542 134.659 79.731 130.426 73.1726 126.248C66.2636 122.673 62.1707 124.085 57.6516 125.652C50.5303 128.129 42.5589 130.892 25.5309 121.995C20.13 119.164 15.8047 115.896 12.3656 112.373C8.46903 108.366 5.6952 104.03 3.78174 99.6077C3.08379 97.9971 3.8185 96.1262 5.43425 95.4295C7.05007 94.7345 8.92656 95.466 9.62451 97.0766C11.2537 100.837 13.6125 104.516 16.9334 107.928C19.9389 111.019 23.7311 113.884 28.4929 116.374C43.0653 123.999 49.6786 121.703 55.5625 119.655C63.5012 116.9 70.6222 117.58 76.2683 120.829C81.9309 124.075 86.1128 129.902 87.6933 138.149C88.8671 144.26 90.1802 151.117 104.089 159.888C116.836 167.919 128.358 167.907 137.647 164.915C146.722 161.979 153.77 156.237 157.837 152.296C156.265 151.906 154.882 151.332 153.649 150.692C152.412 150.035 151.394 149.338 150.497 148.696C148.646 147.464 147.318 144.893 147.832 142.659C148.363 140.395 150.61 138.824 152.737 138.185C160.745 135.79 167.884 130.254 173.927 123.766C182.087 114.995 188.248 104.476 191.914 97.3304C188.591 98.7817 185.371 99.888 182.188 100.641C177.809 101.678 173.525 102.048 169.144 101.764C167.393 101.658 166.056 100.139 166.178 98.3886Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M100.089 36.3173C101.482 39.857 102.872 44.1729 104.018 48.7657C105.044 47.7175 106.079 46.7007 107.1 45.732C115.094 38.185 123.365 33.6054 125.958 35.0982C128.551 36.591 128.708 46.0223 126.142 56.6909C125.694 58.5735 125.171 60.5109 124.594 62.4715C129.33 61.0549 133.975 60.0183 137.934 59.3913C143.072 58.5835 147.391 58.6366 149.939 59.5339C150.832 59.6998 151.638 60.2339 152.129 61.0715C153.402 63.2776 151.255 68.2138 146.891 73.6792C144.398 76.8041 141.149 80.3687 137.501 83.827C139.555 84.5651 141.683 85.5122 143.867 86.6999C146.12 87.9124 148.289 89.0071 150.367 89.9675C152.366 90.8963 154.367 91.729 156.383 92.4588C158.034 93.0742 158.876 94.8938 158.268 96.5458C157.65 98.1912 155.809 99.0355 154.169 98.4251C152.131 97.6837 149.968 96.7714 147.668 95.7115C145.447 94.6831 143.168 93.5386 140.811 92.2647C129.799 86.3167 120.272 87.5043 112.5 88.4796L112.473 88.4846C106.081 89.2857 100.704 89.9592 95.8285 87.0548C91.0131 84.2002 88.9234 79.2872 86.4501 73.4702C83.3899 66.2615 79.6316 57.439 68.8742 50.859C58.5916 44.5643 51.3918 38.4603 46.5447 31.2799C42.2587 24.9346 39.8762 17.8786 38.9232 9.26833C34.5475 16.0067 28.48 26.5792 24.9516 38.0158C21.998 47.5466 21.4243 53.9292 23.0623 63.7403C23.5482 66.6331 22.9984 68.665 21.5773 69.987C20.3909 71.0983 18.8857 71.4814 17.1089 71.2509C16.503 71.1663 15.7114 71.017 15.1374 70.7566C14.0987 70.3104 12.9314 69.7498 11.701 68.9868C10.5286 68.242 9.33902 67.3347 8.21354 66.1736C7.60513 68.5472 6.99553 71.5743 6.64952 74.9879C6.36569 77.8126 6.27122 80.9144 6.51569 84.1256C6.64869 85.8705 5.33438 87.3932 3.58474 87.5259C1.81851 87.6636 0.290518 86.3532 0.163709 84.5983C-0.121416 80.9741 -0.00947686 77.5074 0.309859 74.3559C0.728135 70.1893 1.49751 66.575 2.22395 63.8515C2.84052 61.6073 4.33816 59.2868 6.77643 58.8555C8.77724 58.5055 10.6835 59.451 12.6314 61.6006C13.3929 62.4283 14.2297 63.0769 15.0692 63.601C15.6071 63.9245 16.1566 64.2263 16.7037 64.4868C14.6512 55.2711 15.9981 45.387 18.8715 36.1166C23.3174 21.7458 31.4093 8.80805 35.8829 2.33503C36.5233 1.39705 37.5336 0.616636 38.6103 0.249238C39.5761 -0.0700589 40.5722 -0.0808403 41.5066 0.206941C42.4308 0.488918 43.2522 1.04458 43.8686 1.85816C44.5759 2.77956 44.8797 3.84361 44.9404 4.99059C45.5075 14.2676 47.5982 21.4895 51.8144 27.7386C56.1046 34.0997 62.6904 39.6281 72.1798 45.4384C74.8041 47.0457 77.0606 48.7342 79.0204 50.5007C80.1385 45.6823 81.55 41.1026 82.9956 37.3059C85.6677 30.2117 89.0989 25.4189 91.7329 25.4198C94.2968 25.4223 97.5239 29.7672 100.089 36.3173ZM88.9456 39.5484C87.1752 44.2425 85.439 50.1789 84.3338 56.2282C87.0019 59.7097 88.8865 63.2676 90.4297 66.643C90.7834 65.9862 91.1528 65.3227 91.5453 64.6443C93.5252 61.2258 96.0477 57.7857 98.7923 54.5147C97.6027 48.6745 95.8862 43.0433 94.1657 38.6478C93.2274 36.2709 92.6187 34.3518 92.2376 33.1492C91.9552 32.2585 91.7978 31.7609 91.7239 31.7659C91.6774 31.7626 91.4813 32.3448 91.1326 33.3798C90.672 34.7482 89.9452 36.9045 88.9456 39.5484ZM138.944 65.6594C133.986 66.4473 127.905 67.8953 122.026 69.9588C120.712 73.3591 119.189 76.6383 117.487 79.5775C117.076 80.2857 116.661 80.9774 116.248 81.6442C120.476 81.2279 125.101 81.0404 130.166 81.8996C134.746 77.8922 138.89 73.4801 141.898 69.7083C143.467 67.7428 144.809 66.2881 145.654 65.3725C146.282 64.6908 146.635 64.3093 146.597 64.2413C146.517 64.2164 146.013 64.3225 145.152 64.5033C143.836 64.7803 141.687 65.2298 138.944 65.6594ZM94.9134 71.8795C94.4824 72.7437 94.103 73.568 93.7805 74.341C95.2812 77.6235 96.8106 80.2542 99.0723 81.5977C101.302 82.923 104.307 82.9562 107.865 82.6145C108.108 82.296 108.357 81.961 108.613 81.6077C108.907 81.1997 109.21 80.7684 109.518 80.3139C110.29 79.1744 111.099 77.874 111.956 76.3928C115.542 70.2026 118.253 62.2691 119.95 55.1998C121.879 47.1502 123.099 40.8057 122.765 40.6133C122.43 40.4209 117.529 44.6472 111.502 50.3365C106.208 55.3358 100.663 61.6371 97.0774 67.829C96.2262 69.2986 95.5114 70.6537 94.9134 71.8795Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M94.8562 106.329C98.9209 105.305 106.253 103.91 114.793 104.378C123.43 104.848 133.307 107.196 142.354 113.697C143.905 114.798 145.075 116.221 145.242 118.193C145.415 120.088 144.445 122.099 142.999 123.295C140.533 125.699 136.517 129.169 131.568 131.768C127.193 134.074 122.064 135.709 116.604 135.387C111.084 135.072 105.342 132.783 99.8502 127.245C96.8 124.183 93.8322 120.111 91.0342 114.831C90.2141 113.262 89.9243 111.428 90.6192 109.77C91.3217 108.075 93.0783 106.752 94.8562 106.329ZM114.438 110.721C107.084 110.324 100.714 111.452 96.938 112.365C99.3516 116.84 101.84 120.245 104.36 122.78C108.613 127.062 112.921 128.819 116.98 129.058C121.103 129.303 125.099 127.989 128.601 126.155C132.874 123.902 136.383 120.877 138.532 118.779C130.67 113.169 122.024 111.126 114.438 110.721Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M71.3591 79.3784C76.0251 86.5124 78.4796 93.5403 79.6328 97.5676C80.155 99.3125 79.8834 101.492 78.7628 102.945C77.6603 104.368 75.9318 105.04 74.1585 105.118C68.1628 105.335 63.153 104.814 58.9677 103.713C51.4108 101.739 46.5506 97.9275 43.5175 93.318C40.4979 88.7583 39.3635 83.5202 39.1686 78.5839C38.9971 74.0657 39.6597 68.5406 40.9028 64.155C41.481 62.0983 42.5698 60.7232 44.1334 59.9967C46.1761 59.0463 48.0319 59.5721 49.906 60.428C59.8432 65.0076 66.7035 72.2511 71.3591 79.3784ZM73.3496 98.7867C72.2535 95.0696 70.0492 89.0071 66.0272 82.855C61.8819 76.5089 55.7844 70.0666 46.9806 66.0824C46.2323 68.9884 45.3581 73.5299 45.5389 78.3451C45.6863 82.2795 46.5525 86.393 48.8181 89.8232C51.0642 93.2152 54.7443 96.0565 60.5916 97.5875C64.042 98.4898 68.2558 98.9409 73.3496 98.7867Z"
      />
    </svg>

    <!-- spark -->
    <svg
      class="case-bg-icon"
      width="193"
      height="220"
      viewBox="0 0 193 220"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M131.107 0.00287416C115.8 -0.218897 103.155 12.4221 103.155 27.9461C103.155 43.4701 115.8 55.8893 131.107 55.8893C146.636 55.8893 159.059 43.2483 159.059 27.9461C159.059 12.4221 146.414 0.00287416 131.107 0.00287416ZM131.329 47.9055C120.237 47.9055 111.363 39.0347 111.363 27.9461C111.363 16.8575 120.237 7.98665 131.329 7.98665C142.199 7.98665 151.294 16.8575 151.294 27.9461C151.294 39.0347 142.421 47.9055 131.329 47.9055Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M44.3678 31.2715C44.3678 49.0132 58.7873 63.6502 76.7563 63.6502C78.9747 63.6502 80.7494 65.4243 80.7494 67.6421C80.7494 69.8598 78.9747 71.6339 76.7563 71.6339C59.0092 71.6339 44.3678 86.0491 44.3678 104.013C44.3678 106.23 42.5931 108.004 40.3747 108.004C38.1563 108.004 36.3816 106.23 36.3816 104.013C36.3816 86.0491 21.9621 71.6339 3.9931 71.6339C1.77471 71.6339 0 69.8598 0 67.6421C0 65.4243 1.77471 63.6502 3.9931 63.6502C21.7402 63.6502 36.3816 49.235 36.3816 31.2715C36.3816 29.0538 38.1563 27.2796 40.3747 27.2796C42.5931 27.2796 44.3678 29.0538 44.3678 31.2715ZM21.5184 67.4203C29.7264 71.4122 36.3816 78.0653 40.3747 86.2709C44.3678 78.0653 51.023 71.4122 59.231 67.4203C51.023 63.4284 44.3678 56.7753 40.3747 48.5697C36.3816 56.997 29.7264 63.6502 21.5184 67.4203Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M142.643 115.324C142.643 140.828 163.495 161.674 189.007 161.674C191.225 161.674 193 163.448 193 165.666C193 167.884 191.225 169.658 189.007 169.658C163.495 169.658 142.643 190.504 142.643 216.008C142.643 218.226 140.868 220 138.649 220C136.431 220 134.656 218.226 134.656 216.008C134.656 190.504 113.803 169.658 88.292 169.658C86.0736 169.658 84.2989 167.884 84.2989 165.666C84.2989 163.448 86.0736 161.674 88.292 161.674C113.803 161.674 134.656 140.828 134.656 115.324C134.656 113.106 136.431 111.332 138.649 111.332C140.868 111.332 142.643 113.106 142.643 115.324ZM108.701 165.666C122.233 171.21 133.103 182.077 138.649 195.605C144.195 182.077 155.066 171.21 168.598 165.666C155.066 160.122 144.195 149.255 138.649 135.727C133.103 149.255 122.233 160.122 108.701 165.666Z"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M13.9759 189.617C13.9759 178.307 23.2931 168.993 34.6069 168.993C46.1426 168.993 55.4598 178.307 55.238 189.617C55.238 200.928 45.9207 210.242 34.6069 210.242C23.2931 210.242 13.9759 200.928 13.9759 189.617ZM21.9621 189.617C21.9621 196.492 27.7299 202.258 34.6069 202.258C41.7058 202.258 47.2518 196.714 47.2518 189.617C47.2518 182.742 41.4839 176.976 34.6069 176.976C27.7299 176.976 21.9621 182.742 21.9621 189.617Z"
      />
    </svg>
  </CaseBackgroundIcons>
</template>

<script>
import CaseBackgroundIcons from '@/components/shared/CaseBackgroundIcons'

export default {
  name: 'Icons',
  components: {
    CaseBackgroundIcons
  }
}
</script>
